SRU request: please merge 2.40+cvs20110608-3 to 12.04 LTS

Bug #1051783 reported by era on 2012-09-17
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ecb (Ubuntu)
Undecided
Unassigned

Bug Description

This is basically a request to fix bug #466531 for Precise users, but because the original bug report is more wide in its scope and has a long history, I am opting to file a separate SRU request under a dedicated bug number.

Current version in Quantal: ecb-2.40+cvs20110608-3
Current version in Precise: ecb-2.40+cvs20110608-2

Full upstream Changelog:

   * add temporary conflicts on cedet-common, cogre (Closes: #657765)

... (though the correct upstream bug number is actually #657756!)

[IMPACT]

 * Upgrading to Precise is impossible on systems which have emacs23 and cogre installed.

 * Since a few years back, emacs23 includes its own version of cogre, but the current ecb packaging is from before those days, and does not cope with this scenario.

 * The difference between the current Precise version 2.40+cvs20110608-2 and the proposed version from Quantal ditto ditto-3 is the addition of yet one more Conflicts: field in debian/control.

[TESTCASE]

 * Set up a pre-Precise system. You may have to go so far back as Hardy or Intrepid to find a platform where it was in fact possible to have emacs23 and ecb installed successfully.

 * Install emacs23

 * Install ecb

 * Upgrade to Precise.

[Regression Potential]

 * Because this fix simply prevents the installation of a package which is now superfluous, it should have very limited impact.

[Other Info]

 * I would love to see this fixed in older supported releases, too, but the fix for Precise is extremely minor, and a good start.

era (era) wrote :

@ubuntu-sru: please accept this nomination for Precise. I cannot add a "target for release" myself but I hope you can cope with this minor deviation from protocol.

era (era) on 2012-09-17
description: updated
description: updated
description: updated
era (era) on 2012-09-17
description: updated
era (era) wrote :

Bump? Could we at least have the importance of bug #466531 upgraded to Outrageous?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers